Subject: Re: [Xen-devel] Re: linux-next: Tree for July 25 (xen)

From: Konrad Rzeszutek Wilk <[email-masked]>
Date: Fri, 5 Aug 2011 21:58:16 -0400

On Fri, Aug 05, 2011 at 11:14:23PM +0200, Ingo Molnar wrote:
> 
> * Ingo Molnar <[email-masked]> wrote:
> 
> > * Randy Dunlap <[email-masked]> wrote:
> > 
> > > On 08/04/11 15:40, Konrad Rzeszutek Wilk wrote:
> > > > On Thu, Aug 04, 2011 at 06:32:59PM -0400, Konrad Rzeszutek Wilk wrote:
> > > >>>>> These build failures are still triggering upstream:
> > > >>>>>
> > > >>>>>  arch/x86/xen/trace.c:44:2: error: array index in initializer not of integer type
> > > >>>>>  arch/x86/xen/trace.c:44:2: error: (near initialization for ‘xen_hypercall_names’)
> > > >>>>>  arch/x86/xen/trace.c:45:1: error: ‘__HYPERVISOR_arch_4’ undeclared here (not in a function)
> > > >>>>>  arch/x86/xen/trace.c:45:2: error: array index in initializer not of integer type
> > > >>>>>  arch/x86/xen/trace.c:45:2: error: (near initialization for ‘xen_hypercall_names’)
> > > >>>>
> > > >>>> Oh, that I haven't seen. Can you send me the .config for that please.
> > > >>>
> > > >>> You can't be trying very hard then.  I see lots of these (but no,
> > > >>
> > > >> Ah, I am getting it now. Thanks for reporting it.
> > > > 
> > > > This should do the trick:
> > > 
> > > Acked-by: Randy Dunlap <[email-masked]>
> > 
> > That patch did the trick here too:
> > 
> > Acked-by: Ingo Molnar <[email-masked]>
> 
> Except that i'm still seeing the occasional build failure - see the 
> error log below. Config attached.

Much appreciate for the report. I believe this fix (which I think hit
linux-next yesterday?) should do that:

commit 1e9ea2656b656edd3c8de98675bbc0340211b5bd
Author: Jeremy Fitzhardinge <[email-masked]>
Date:   Wed Aug 3 09:43:44 2011 -0700

     xen/tracing: it looks like we wanted CONFIG_FTRACE
    
    Apparently we wanted CONFIG_FTRACE rather the CONFIG_FUNCTION_TRACER.
    
    Reported-by: Sander Eikelenboom <[email-masked]>
    Tested-by: Sander Eikelenboom <[email-masked]>
    Signed-off-by: Jeremy Fitzhardinge <[email-masked]>
    Signed-off-by: Konrad Rzeszutek Wilk <[email-masked]>

diff --git a/arch/x86/xen/Makefile b/arch/x86/xen/Makefile
index 45e94ac..3326204 100644
--- a/arch/x86/xen/Makefile
+++ b/arch/x86/xen/Makefile
@@ -15,7 +15,7 @@ obj-y		:= enlighten.o setup.o multicalls.o mmu.o irq.o \
 			grant-table.o suspend.o platform-pci-unplug.o \
 			p2m.o
 
-obj-$(CONFIG_FUNCTION_TRACER) += trace.o
+obj-$(CONFIG_FTRACE) += trace.o
 
 obj-$(CONFIG_SMP)		+= smp.o
 obj-$(CONFIG_PARAVIRT_SPINLOCKS)+= spinlock.o

Planning to send all of the bug-fixes in my branch to Linus tomorrow - just
leaving it in linux-next for the full 24-hrs at least to make sure nothing
else goes haywire.